org.apache.pdfbox.pdmodel.interactive.form

## Class PDRadioButton

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.form.PDField
  - - org.apache.pdfbox.pdmodel.interactive.form.PDTerminalField
    - - org.apache.pdfbox.pdmodel.interactive.form.PDButton
      - - org.apache.pdfbox.pdmodel.interactive.form.PDRadioButton

All Implemented Interfaces:
  COSObjectable

    public final class PDRadioButton
    extends PDButton

Radio button fields contain a set of related buttons that can each be on or off.

Author:
  sug

### Constructor Summary

Constructors
Constructor and Description
`PDRadioButton(PDAcroForm acroForm)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getSelectedExportValues()` This will get the selected export values.
`int` `getSelectedIndex()` This will get the selected index.
`boolean` `isRadiosInUnison()`
`void` `setRadiosInUnison(boolean radiosInUnison)` From the PDF Spec If set, a group of radio buttons within a radio button field that use the same value for the on state will turn on and off in unison; that is if one is checked, they are all checked.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDButton

`getDefaultValue, getExportValues, getOnValues, getValue, getValueAsString, isPushButton, isRadioButton, setDefaultValue, setExportValues, setValue, setValue`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDTerminalField

`applyChange, getFieldFlags, getFieldType, getWidgets, importFDF, setActions, setWidgets`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDField

`equals, getAcroForm, getActions, getAlternateFieldName, getCOSObject, getFullyQualifiedName, getInheritableAttribute, getMappingName, getParent, getPartialName, hashCode, isNoExport, isReadOnly, isRequired, setAlternateFieldName, setFieldFlags, setMappingName, setNoExport, setPartialName, setReadOnly, setRequired, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDRadioButton

    public PDRadioButton(PDAcroForm acroForm)

Parameters:
  `acroForm` - The acroform.
See Also:
  `PDField(PDAcroForm)`

### Method Detail

#### setRadiosInUnison

    public void setRadiosInUnison(boolean radiosInUnison)

From the PDF Spec
If set, a group of radio buttons within a radio button field that use the same value for the on state will turn on and off in unison; that is if one is checked, they are all checked. If clear, the buttons are mutually exclusive (the same behavior as HTML radio buttons).

Parameters:
  `radiosInUnison` - The new flag for radiosInUnison.

#### isRadiosInUnison

    public boolean isRadiosInUnison()

Returns:
  true If the flag is set for radios in unison.

#### getSelectedIndex

    public int getSelectedIndex()

This will get the selected index.

A RadioButton might have multiple same value options which are not selected jointly if they are not set in unison `isRadiosInUnison()`.

The method will return the first selected index or -1 if no option is selected.

Returns:
  the first selected index or -1.

#### getSelectedExportValues

    public List<String> getSelectedExportValues()

This will get the selected export values.

A RadioButton might have an export value to allow field values which can not be encoded as PDFDocEncoding or for the same export value being assigned to multiple RadioButtons in a group.
To define an export value the RadioButton must define options `PDButton.setExportValues(List)` which correspond to the individual items within the RadioButton.

The method will either return the corresponding values from the options entry or in case there is no such entry the fields value

Returns:
  the export value of the field.